print.default {base} | R Documentation

## Default Printing

### Description

`print.default` is the default method of the generic `print` function which prints its argument.

`print.atomic` is almost the same and exists purely for compatibility reasons.

### Usage

    print.default(x, digits = NULL, quote = TRUE, na.print = "NA",
                  print.gap = 1, right = FALSE, ...)
    print.atomic(x, quote = TRUE, ...)

### Arguments

`digits` | a non-null value for `digits` specifies the number of significant digits to be printed in values. If `digits` is `NULL`, the value of `digits` set by `options` is used.
`quote` | logical, indicating whether or not strings (`character`s) should be printed with surrounding quotes.
`na.print` | a character string which is used to indicate `NA` values in printed output.
`print.gap` | an integer, giving the spacing between adjacent columns in printed matrices and arrays.
`right` | logical, indicating whether or not strings should be right-aligned. The default is left-alignment.
`...` | (further arguments, currently disregarded)

### See Also

The generic `print`, `options`. The `"noquote"` class and print method.

### Examples

    pi
    print(pi, digits = 16)
    LETTERS[1:16]
    print(LETTERS, quote = FALSE)